<!doctype html>
<html>
<head>
    <title>Tor&#39;s New Anti-Censorship Team: Defending The Open Internet | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor&#39;s New Anti-Censorship Team: Defending The Open Internet | Tor Project">
    <meta property="og:description" content="We formed an anti-censorship team to understand network censorship, build technology to circumvent it, and to make the Tor network accessible to everyone.">
    <meta property="og:image" content="https://blog.torproject.org/tors-new-anti-censorship-team-defending-open-internet/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tors-new-anti-censorship-team-defending-open-internet/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor&#39;s New Anti-Censorship Team: Defending The Open Internet
      </h1>
    <p class="meta">by phw | June 24, 2019</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><em>Photo by <a href="https://unsplash.com/@john_matychuk?utm_source=unsplash&amp;utm_medium=referral&amp;utm_content=creditCopyText">John Matychuk</a> on Unsplash</em></p>
<p>At the non-profit organization level, the Tor Project consists of several teams. The <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/NetworkTeam">network team</a> works on part of the back-end: the program called tor, network simulators, onion services, etc.; the <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/MetricsTeam">metrics team</a> collects and publishes Tor network metrics; the <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/ApplicationsTeam">applications team</a> maintains Tor Browser and other user-facing applications; the <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/UxTeam">UX team</a> improves user experience across all projects; the <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/CommunityTeam">community team</a> fosters a healthy community around Tor; <a href="https://ooni.torproject.org">OONI</a> maintains a global observation network for detecting censorship, surveillance, and traffic manipulation on the internet; the communications team gets our message out to the world; and the <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/FundraisingTeam">fundraising team</a> rallies people to financially support our vision so we can keep Tor strong for millions around the world.</p>
<p>All of our teams share a common vision: for people around the world to enjoy privacy and freedom online. As censorship has increased around the world and <a href="https://blog.torproject.org/strength-numbers-internet-freedom-line">internet freedom has declined</a>, <a href="https://blog.torproject.org/expect-more-tor-2019">we realized</a> we needed to step up our game to outpace the censors preventing people from enjoying the human right to freedom of expression and access to information on the internet.</p>
<p><img alt="Universal Declaration of Human Rights - Article 19 - The Tor Project" src="/static/images/blog/inline-images/unhr19-tor.png" class="align-center" /></p>
<p>
In February, we created a brand new <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/AntiCensorshipTeam">anti-censorship team</a>. This team consists of two software engineers with research backgrounds and a project manager, but there are many other people who contribute to the team’s work—by adding valuable code, insight into past work, infrastructure, and resources. The goal of the anti-censorship team is to understand network censorship and build technology to circumvent it so the Tor network can be accessible to everyone.</p>
<p>To kick things off, we've released a technical report called "<a href="https://research.torproject.org/techreports/dos-censorship-report2-2019-05-31.pdf">Addressing Denial of Service Attacks on Free and Open Communication on the Internet.</a>" This report, part of the first project the team engaged in, provides a comprehensive overview of the state of our anti-censorship roadmap. The report outlines recent improvements and open challenges around BridgeDB, GetTor, snowflake, pluggable transports, censorship analysis, and censorship-related user experience.</p>
<p>Are you interested in following the anti-censorship team's work or joining the team? Then <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/AntiCensorshipTeam">check out our wiki page</a>. It has all details regarding our weekly IRC meeting, our public mailing list, and the software projects we maintain.</p>
<p>We are determined to make privacy and freedom online accessible to all, and we hope you’ll join us. If you’re unable to volunteer, <a href="https://donate.torproject.org">your donation</a> can help us tackle this critical challenge.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-282847"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282847" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Free Beer (not verified)</span> said:</p>
      <p class="date-time">June 26, 2019</p>
    </div>
    <a href="#comment-282847">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282847" class="permalink" rel="bookmark">Good work, guys. 
Under 4.5…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good work, guys. </p>
<p>Under 4.5 Enable Tor Browser to use other circumvention tools, my modest contribution is that video demonstration I mentioned on the mailing list re using ShadowsocksR as a proxy. ShadowsocksR, V2Ray, and Trojan would also fit under the requirements for 6.2 HTTPS proxy: “As a measure against active probing attacks, an HTTPS proxy can run a web server alongside the proxy. When the proper credentials are not presented, the web server serves innocuous content.”</p>
<p>Under 4.6.1, I agree that it would be really interesting to know if China and countries in the Middle East can really detect obfs4 or if a private bridge would escape censorship.</p>
<p>Also agree under 4.6.2 that ESNI, when combined with DNS over HTTPS, looks like it could change the whole censorship circumvention landscape.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282850"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282850" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">June 26, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282847" class="permalink" rel="bookmark">Good work, guys. 
Under 4.5…</a> by <span>Free Beer (not verified)</span></p>
    <a href="#comment-282850">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282850" class="permalink" rel="bookmark">Under 4.6.1, I agree that it…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>Under 4.6.1, I agree that it would be really interesting to know if China and countries in the Middle East can really detect obfs4 or if a private bridge would escape censorship.</p></blockquote>
<p>As of June 2019, the GFW is currently not blocking obfs4. A private obfs4 bridge lets you bootstrap a Tor connection in China.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282864"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282864" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Free Beer (not verified)</span> said:</p>
      <p class="date-time">June 27, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282850" class="permalink" rel="bookmark">Under 4.6.1, I agree that it…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-282864">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282864" class="permalink" rel="bookmark">Section 9.1, “Research to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Section 9.1, “Research to understand whether private bridges actually work in China is also needed,” suggests there is some doubt about this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282869"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282869" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">June 27, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282864" class="permalink" rel="bookmark">Section 9.1, “Research to…</a> by <span>Free Beer (not verified)</span></p>
    <a href="#comment-282869">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282869" class="permalink" rel="bookmark">There was doubt while we…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There was doubt while we wrote the report but we have since confirmed that obfs4 works. Check out the trac ticket for this: <a href="https://bugs.torproject.org/29279#comment:23" rel="nofollow">https://bugs.torproject.org/29279#comment:23</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282954"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282954" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Sam Smith (not verified)</span> said:</p>
      <p class="date-time">July 02, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282869" class="permalink" rel="bookmark">There was doubt while we…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-282954">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282954" class="permalink" rel="bookmark">Another proof that obfs4…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Another proof that obfs4 works are with the integration of it in the privacy cryptocurrency $ONION wallet.<br />
<a href="https://deeponion.org/community/threads/deeponion-has-integrated-with-obfs4.28106/" rel="nofollow">https://deeponion.org/community/threads/deeponion-has-integrated-with-o…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-282854"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282854" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2019</p>
    </div>
    <a href="#comment-282854">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282854" class="permalink" rel="bookmark">What is your opinion…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What is your opinion regarding Cloudflare, 2019 edition?</p>
<p><a href="https://notabug.org/crimeflare/cloudflare-tor" rel="nofollow">https://notabug.org/crimeflare/cloudflare-tor</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-282868"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282868" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Cryptocurrent (not verified)</span> said:</p>
      <p class="date-time">June 27, 2019</p>
    </div>
    <a href="#comment-282868">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282868" class="permalink" rel="bookmark">I wonder whether this could…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I wonder whether this could be worth looking into as a possible future direction for "NexTor" censorship-circumvention and reliabile-access projects?</p>
<p>wired.com<br />
The Cypherpunks Tapping Bitcoin via Ham Radio<br />
Gregory Barber<br />
27 Jun 2019</p>
<p>&gt;... If the internet goes down, how else will you access your cache?<br />
&gt; ...<br />
&gt; Bitcoin’s celestial coverage comes from Blockstream, a blockchain software company. To be clear, Blockstream isn’t launching satellites itself; it rents a small portion of the bandwidth on commercial satellites, which are mainly used for TV. The data is beamed up with enough bandwidth to ensure the blockchain stays up to date. Users can also send along messages, paid through the Lightning Network, a technology that allows small bitcoin payments. The satellites broadcast the signals back down to whoever might be listening.<br />
&gt; ...<br />
&gt; GoTenna, a startup known for making communication devices used in natural disasters, thinks it has an answer to the send-and-receive problem of satellites: radio mesh networks, which work by relaying information over short distances from person to person. The company, which mainly deals with text messages, started supporting bitcoin transactions last year, and it recently partnered with Blockstream to let people use GoTenna’s device to rebroadcast the satellite data they receive.</p>
<p>(I have no ties to Blockstream or GoTenna.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282920"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282920" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 29, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282868" class="permalink" rel="bookmark">I wonder whether this could…</a> by <span>Cryptocurrent (not verified)</span></p>
    <a href="#comment-282920">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282920" class="permalink" rel="bookmark">Just what cryptocurrency…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just what cryptocurrency needs, commercial gatekeepers. [/sarcasm]</p>
<p>As for ham radio, the network is self-policing, encryption on its frequencies is technically illegal, and allowing it is controversial among amateur radio operators.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282940"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282940" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282920" class="permalink" rel="bookmark">Just what cryptocurrency…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-282940">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282940" class="permalink" rel="bookmark">&gt; As for ham radio, the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; As for ham radio, the network is self-policing, encryption on its frequencies is technically illegal, and allowing it is controversial among amateur radio operators.</p>
<p>The article is actually talking about community constructed wireless mesh networks in which devices make short range transmissions, and certain satellite communications, not ham radio.  The latter is indeed regulated since the early twentieth century but AFAIK none of the satellite or WiFi mesh transmissions the article mentions is illegal anywhere in the world.  It is no doubt true that it would be wise to be aware of transmission power thresholds in your nation of residence, but AFAIK wireless mesh transmissions are not likely to approach those legal limits.</p>
<p>You make a good point about the wisdom of avoiding becoming committed to a commercial product, but I see no reason why Tor Project could not in principle work with NGO partners to develop an open source "free as in beer" community WiFi mesh project.  Be bold!  Dream big!   After all, why should the tech entrepreneurs be allowed to claim a monopoly on such injunctions?   Our dreams could be and by rights ought to be bigger and stronger than any of theirs, which are limited by the profit-hungry motivation.  We should look upon the NGOs lack of any need to attempt to earn huge stock dividends for wealthy and insatiate investors as a strength, not a weakness.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-282870"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282870" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 27, 2019</p>
    </div>
    <a href="#comment-282870">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282870" class="permalink" rel="bookmark">The current regime in Russia…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The current regime in Russia can always be relied upon to remind us daily why we all desperately need means to evade censorship:</p>
<p>techdirt.com<br />
Russian Government Demands All Foreign Press Outlets Register For The Privilege Of Delivering News To Russia<br />
Free Speech<br />
from the get-in-the-sea,-Putin dept<br />
Tim Cushing<br />
26 Jun 2019</p>
<p>&gt; The Russian government sure loves its registration. If anyone wants to do anything involving the written (and/or broadcasted) word in Russia, the government wants to know who you are. That makes it easier to find you should you displease the Russian government and/or its bear-riding autocrat.</p>
<p>If the Russian government were the only offender, our task would no doubt be easier.  But nowadays it seems that pretty much every government is attempting to censor this, that, and the other, each in its own way according to the needs of its own political/financial elite.</p>
<p>I seem to have lost the link, but another recent story concerned an automated takedown demand system being fielded by the government of India, which apparently is not very accurate, so that at least one US polysci graduate student who wrote about political developments in Europe, without even mentioning India at all, had his account revoked owing to a complaint from IN (which of course twitter.com and facebook.com complied with unquestioningly) that he was endangering Indian national interests with his posts/tweets.</p>
<p>So something to add the long list of why censorship regimes are terrible: they are not even close to being even minimally accurate even by the amoral standards of the governments which create and use them.</p>
<p>Another thought: if every government is censoring as much as it can, each in its own way, perhaps we should think about anti-censorship, not as connecting users in country A to "the truth", but to connecting users in country A to the propaganda punted by country anti-A.  Maybe We the People have lost access to "the truth", if we ever had it, but perhaps we can at least hope to balance one nations lies against another the lies told by an "adversary nation".  Perhaps if we read enough lies from mutual enemies we can attempt to triangulate "the truth"?</p>
<p>I hope it's not really that bad of course, but with experience I've become less and less happy with the supposedly "benign" efforts of USG funded groups such as Radio Free Europe and Radio Free Asia, which "shape" the news in ways friendly to "US national interests".</p>
<p>One happy thought is that the closest approximation to "the truth" is clearly internal documents from country A (or anti-A) which were intended to be read only by "the authorities".  Thus, wikileaks.org and other groups which publish leaked documents may, even yet in this awful age, offer ordinary citizens a handle on what their governments are really doing in their name to harm their individual interests and those of every other ordinary citizen on this beleaguered little blue marble which humans share with so many other life forms which human creations are in the process of killing because "leaders" like MBS and DJT don't give a damn about anyone or anything other than themselves.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282886"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282886" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 28, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282870" class="permalink" rel="bookmark">The current regime in Russia…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-282886">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282886" class="permalink" rel="bookmark">It&#039;s worth bearing in mind…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's worth bearing in mind that censorship is the opposite of transparency.</p>
<p>Putin recently said something very revealing of the authoritarian mentality, at some "world leader" meetup.  A reporter asked him what he planned to say in his planned meeting with Drump.  Putin replied "none of your business".</p>
<p>A reliable indication that some government is authoritarian is that the head of state insists that government business is not the public's business [sic], and certainly not the business of reporters to explain to The People [sic].</p>
<p>Unfortunately, this attitude is not limited to the government of Russia.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-282871"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282871" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 27, 2019</p>
    </div>
    <a href="#comment-282871">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282871" class="permalink" rel="bookmark">If you guys ever feel a need…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you guys ever feel a need to revive the spirit of resistance to all oppressors everywhere, try listening to one of Beethoven's overtures.  Beethoven was consistently attracted to stories about strong women using their smarts to fight for individual or human rights, and his overtures capture the revolutionary spirit of his youth.  (The story of his profound disillusionment when Napoleon crowned himself Emperor is well known.  But he never gave up on People Power.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-282907"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282907" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 28, 2019</p>
    </div>
    <a href="#comment-282907">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282907" class="permalink" rel="bookmark">Did that DoS report reveal…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Did that DoS report reveal vulnerabilities and actually contribute to the attacks on onion services in recent weeks?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-282928"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282928" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>masterofnone (not verified)</span> said:</p>
      <p class="date-time">June 30, 2019</p>
    </div>
    <a href="#comment-282928">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282928" class="permalink" rel="bookmark">Not up to speed yet. 1st and…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not up to speed yet. 1st and 2nd amendment of u.s. Constitution is under threat, is just so unbelievable.what a wake up these past 2 years have been. But...you know I don't see it outside my door. Or   am I not looking for something that may be obvious to someone else. my head still wants to be back in the sand.but , know I'm way past that. Truth sucks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-283181"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-283181" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 17, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282928" class="permalink" rel="bookmark">Not up to speed yet. 1st and…</a> by <span>masterofnone (not verified)</span></p>
    <a href="#comment-283181">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-283181" class="permalink" rel="bookmark">Those two amendments but no…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Those two amendments but no mention of 4th amendment?  You're here for tools that protect privacy <em>and</em> net neutrality a.k.a. anti-central filtering of network traffic, the post's topic.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-282930"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282930" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>star90x (not verified)</span> said:</p>
      <p class="date-time">July 01, 2019</p>
    </div>
    <a href="#comment-282930">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282930" class="permalink" rel="bookmark">Any solution if Chinese gov…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Any solution if Chinese gov creates their own root Internet domain server?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282941"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282941" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282930" class="permalink" rel="bookmark">Any solution if Chinese gov…</a> by <span>star90x (not verified)</span></p>
    <a href="#comment-282941">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282941" class="permalink" rel="bookmark">Over the past five years…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Over the past five years there have been many stories in venues such as zdnet.com, wired.com and arstechnica.com on the manifold insecurities of DNS (how browsers find numerical IP addresses) and BGP (how people claim to own blocks of said numerical IP addresses).  The government of China (and quite a few other "rogue governments", notably the governments of RU, US, IR) appear to have cynically exploiting all of these for cyberespionage and cyberwar.  MITM attacks, improperly issued but genuine PKI certificates, BGP hijacking... it's a mess.</p>
<p>As I understand it, there is some reason to think that if websites migrated to using onions, some of these attacks would be thwarted.   That seems very desirable but of course the predatory business model of the most popular sites (such as Facebook, Twitter, Youtube, and mainstream media sites) prevents them from doing what they obviously should do, but won't... until they are forced to do it.  The billionare CEOs don't yet seem to realize that they should *ask* governments to force them (and their competitors) before The People rise up and do a little enforcement of their own, which would wind up being much worse for the billionaires than the scenario in which governments step in with some visibly effective regulations making Tor mandatory.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-283228"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-283228" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>MeMySelf (not verified)</span> said:</p>
      <p class="date-time">July 21, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282941" class="permalink" rel="bookmark">Over the past five years…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-283228">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-283228" class="permalink" rel="bookmark">Onion domains can be brought…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Onion domains can be brought down by a single machine that makes Denial Of Service (DOS) attack on that domain, and there isn't any real mitigation for that. Imagine bringing down Facebook/ Twitter/ Instagram from a single machine out there... these company's wouldn't be happy! Nor their costumers.</p>
<p>Until at least ONION network finds a way to make it extremely difficult and expensive to lunch and keep efficient DOS attacks it can't be main stream... commercial web sites can't accept such easy attack.</p>
<p>Someone suggest some "proof-of-work" kind of protocol that makes machine work hard to be able to get to onion domains, so that attacks from a single machine or even from many machines can not be so easy. While I don't know if these is the right solution or not, something needs to be done to address these huge problem.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-282938"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282938" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>sam smith (not verified)</span> said:</p>
      <p class="date-time">July 01, 2019</p>
    </div>
    <a href="#comment-282938">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282938" class="permalink" rel="bookmark">An open internet is what all…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>An open internet is what all humans should be working and supporting each day! because once people forget about this important feature, then corporations and controllers take advantage of restricting people what to say or to do online and offline!</p>
<p>I know a great tool to keep the internet open, and that is DeepOnion.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282944"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282944" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Jake johns (not verified)</span> said:</p>
      <p class="date-time">July 01, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-282938" class="permalink" rel="bookmark">An open internet is what all…</a> by <span>sam smith (not verified)</span></p>
    <a href="#comment-282944">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282944" class="permalink" rel="bookmark">I love TOR. I am also glad…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I love TOR. I am also glad deeponion has been contributing and promoting TOR as well.<br />
Definitely alot of people are trading their privacy in for nothing. People need to stand up to governments that push to under pin us.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-282939"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282939" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2019</p>
    </div>
    <a href="#comment-282939">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282939" class="permalink" rel="bookmark">When discussing censorship…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When discussing censorship-evasion tactics, we must always bear in mind that helping prospective readers to access dissident blogs, human rights organization websites, and opposition news sites will do no good unless a sufficient proportion of bloggers, human rights researchers and reporters are able to remain at large long enough to write their essays and to report the news.</p>
<p>For this reason, Tor products and trainings which can help to keep bloggers, human rights workers, and reporters safer are just as necessary as technical innovations in the ongoing arms race with the censors.</p>
<p>See</p>
<p>wired.com<br />
The One Free Press Coalition Spotlights Journalists Under Attack<br />
1 Jul 2019</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-282980"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282980" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Alex (not verified)</span> said:</p>
      <p class="date-time">July 06, 2019</p>
    </div>
    <a href="#comment-282980">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282980" class="permalink" rel="bookmark">I think in our digital…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think in our digital century we need to care about privacy. For myself i chose "privacy tools" like TOR browser and privacy crypto like Monero, Zcash, DeepOnion etc.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-283107"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-283107" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 13, 2019</p>
    </div>
    <a href="#comment-283107">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-283107" class="permalink" rel="bookmark">Just as one example of why…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just as one example of why the world needs Tor as a censorship circumvention tool:</p>
<p>Here is a story which contains video of CN police using pepper spray to assault peaceful protesters in Hong Kong:</p>
<p><a href="https://www.theguardian.com/world/2019/jul/13/dont-mess-with-us-the-spirit-of-rebellion-spreads-in-hong-kong" rel="nofollow">https://www.theguardian.com/world/2019/jul/13/dont-mess-with-us-the-spi…</a></p>
<p>No doubt the mainland CN goverment would prefer that Westerners (and certainly Chinese) not be able to see such videos, but because tech tools such as Tor exist, we can.  And as they say, a video is worth a thousand words.  In particular, everyone can experience how the long pent-up desire for freedom is suddenly emerging among huge numbers of ordinary citizens who are fed up with repression.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-283501"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-283501" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Jonathan (not verified)</span> said:</p>
      <p class="date-time">August 20, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-283107" class="permalink" rel="bookmark">Just as one example of why…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-283501">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-283501" class="permalink" rel="bookmark">You ar all doing great work…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You ar all doing great work I want to be work with you</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
